Deleting numbers from a subscription
Removing shipment numbers from the subscription after shipments reach a final status is not required. However, periodically removing completed shipments is recommended to keep the list of shipment numbers in the subscription up to date.
This endpoint allows deleting shipment numbers from a subscription of type numbers.
This endpoint returns a 200 code in any case, including when no numbers were deleted. The result of the operation is determined by the status parameter in the response body, not by the HTTP code.
Authorization JWT-token with a lifetime of 1 hour in header
The unique identifier of the subscription to which shipment numbers will be deleted. This is a required path parameter.
a866fe22-8134-45c7-bfe9-3cf348415e26A list of shipment numbers to be deleted to the subscription.
["20600000179995","20600000179992"]Numbers processed successfully.
The result of the operation:
success— all numbers were deleted;partial_success— some of the numbers were deleted;error— none of the numbers were deleted.
Unauthorized
The specified resource was not found
Validation error
Connection time-out
DELETE /v.1.0/tracking-push/subscribers/{id}/numbers HTTP/1.1
Host: api-stage.novapost.com/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"numbers": [
"20600000179995",
"20600000179992"
]
}{
"status": "success",
"successful": {
"message": "Numbers has been deleted successful",
"deletedNumbers": [
"SHPL8642391238"
],
"deleted_numbers": [
"SHPL8642391238"
],
"deletedCount": 1,
"deleted_count": 1
}
}Deprecated parameters
Some parameters are duplicated in snake_case notation. These parameters are kept solely for backward compatibility — use the camelCase variants for new integrations.
deleted_numbers
deletedNumbers
deleted_count
deletedCount
not_found_numbers
notFoundNumbers
error_count
errorCount
The same deprecated parameters are present in the responses to subscription creation and update. They are not repeated further in this article.
Last updated